//
//  SecondView.m
//  SamplePDFView
//
//  Created by Masayuki Nii on 11/01/16.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "SecondView.h"


@implementation SecondView


- (id)initWithFrame:(CGRect)frame {
    
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code.
    }
    return self;
}

// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect	{
	NSString *samplePdf = [[NSBundle mainBundle] pathForResource: @"sample" ofType: @"pdf"];
	NSURL *sampleURL = [NSURL fileURLWithPath: samplePdf];
	CGPDFDocumentRef document = CGPDFDocumentCreateWithURL ( (CFURLRef)sampleURL );
	CGPDFPageRef pageRef = CGPDFDocumentGetPage ( document, 1 );
	CGRect pageRect = CGPDFPageGetBoxRect( pageRef, kCGPDFMediaBox );
	
	CGContextRef context = UIGraphicsGetCurrentContext();
	CGContextSaveGState(context);
	 
	CGContextSetFillColorWithColor( context, [UIColor whiteColor].CGColor );
	UIRectFill( rect );
	CGContextConcatCTM ( context, CGPDFPageGetDrawingTransform ( pageRef, kCGPDFMediaBox, pageRect, 0, true ));
	CGContextConcatCTM ( context, CGAffineTransformMakeTranslation( 0, pageRect.size.height) );
	CGContextConcatCTM ( context, CGAffineTransformMakeScale( 1.0, -1.0 ) );
	 
	CGContextClipToRect ( context, pageRect );
	CGContextSetInterpolationQuality( context, kCGInterpolationHigh );
	CGContextDrawPDFPage ( context, pageRef );
	 
	CGContextRestoreGState( context );
	CGPDFDocumentRelease( document );
}

- (void)dealloc {
    [super dealloc];
}


@end
