//
//  SecondView.m
//  SamplePDFView
//
//  Created by Masayuki Nii on 11/01/16.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ThirdView.h"


@implementation ThirdView


- (id)initWithFrame:(CGRect)frame {
    
    self = [super initWithFrame:frame];
    if (self) {
		CATiledLayer *tiledLayer = (CATiledLayer *)[self layer];
		tiledLayer.levelsOfDetail = 4;
		tiledLayer.levelsOfDetailBias = 4;
		tiledLayer.tileSize = CGSizeMake(512.0, 512.0);		
    }
    return self;
}

+ (Class)layerClass {
	return [CATiledLayer class];
}

-(void)drawLayer:(CALayer*)layer inContext:(CGContextRef)context
{
	NSString *samplePdf = [[NSBundle mainBundle] pathForResource: @"sample" ofType: @"pdf"];
	NSURL *sampleURL = [NSURL fileURLWithPath: samplePdf];
	CGPDFDocumentRef document = CGPDFDocumentCreateWithURL ( (CFURLRef)sampleURL );
	CGPDFPageRef pageRef = CGPDFDocumentGetPage ( document, 1 );
	CGRect pageRect = CGPDFPageGetBoxRect( pageRef, kCGPDFMediaBox );

	CGContextSaveGState(context);

	CGContextSetRGBFillColor( context, 1.0, 1.0, 1.0, 1.0 );
    CGContextFillRect( context, self.bounds );
	
	CGContextConcatCTM ( context, CGPDFPageGetDrawingTransform ( pageRef, kCGPDFMediaBox, pageRect, 0, true ));
	CGContextConcatCTM ( context, CGAffineTransformMakeTranslation( 0, pageRect.size.height) );
	CGContextConcatCTM ( context, CGAffineTransformMakeScale( 1.0, -1.0 ) );

    CGContextDrawPDFPage ( context, pageRef );
	
	CGContextRestoreGState( context );
	CGPDFDocumentRelease( document );
}

- (void)dealloc {
    [super dealloc];
}


@end
